Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454326 - Traceback on dual head configuration for i915
Summary: Traceback on dual head configuration for i915
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display
Version: 9
Hardware: i586
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 18:13 UTC by m.oliver
Modified: 2009-07-14 17:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:45:12 UTC


Attachments (Terms of Use)

Description m.oliver 2008-07-07 18:13:52 UTC
Description of problem:
Dual head on i915 graphics (Dell XPS M1330 notebook, driver "intel") works
during bootup and on login screen, but stops working after logging in.  Calling
system-config-display from terminal results in traceback (see below).

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-9.fc9.noarch
Note sure which package the intel driver is in, but working on a fully uptodate
F9 as of today

How reproducible:
Always

Steps to Reproduce:
1. start system-config-display
2. Click "Dual-Head"
3. Check box "Use Dual Head", click "OK"
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 152, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds

Expected results:
Working Dual-head configuration

Additional info:
Configuration kind of works (with some resolution setting problems, but well
enough that external projector can be used) on Ubuntu 7.10 which came installed
on the laptop.

Comment 1 Dr. Peter Boy 2008-08-03 09:36:43 UTC
Same (or similar) problem here with an ATI dual DVI  RV350 AP [Radeon 9600] using the free radeon driver. Calling system-config-display from terminal results in a traceback: 


  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'


It occurs when clicking on OK on the two screen tab after having modified the destop setting to "desktop using both displays" (re-translating the german message)

Same is true with the other option "individuell desktops".

system-config-display is
system-config-display-1.0.51-9.fc9.noarch

Comment 2 Bug Zapper 2009-06-10 01:58:27 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:45:12 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.